.bg_slideshow,
.bg_slideshow:after { 
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    z-index: 0; 
}
.bg_slideshow:after { 
    content: '';
    background: transparent url(images/pattern.png) repeat top left; 
}
.bg_slideshow li span { 
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    color: transparent;
    background-size: cover;
    background-position: 50% 30%;
    background-repeat: none;
    opacity: 0;
    z-index: 0;
    -webkit-backface-visibility: hidden;
    -webkit-animation: imageAnimation 36s linear infinite 0s;
    -moz-animation: imageAnimation 36s linear infinite 0s;
    -o-animation: imageAnimation 36s linear infinite 0s;
    -ms-animation: imageAnimation 36s linear infinite 0s;
    animation: imageAnimation 36s linear infinite 0s; 
}

.bg_slideshow li:nth-child(1) span { 
    background-image: url(images/1.jpg) 
}
.bg_slideshow li:nth-child(2) span { 
    background-image: url(images/2.jpg);
    -webkit-animation-delay: 6s;
    -moz-animation-delay: 6s;
    -o-animation-delay: 6s;
    -ms-animation-delay: 6s;
    animation-delay: 6s; 
}
.bg_slideshow li:nth-child(3) span { 
    background-image: url(images/3.jpg);
    -webkit-animation-delay: 12s;
    -moz-animation-delay: 12s;
    -o-animation-delay: 12s;
    -ms-animation-delay: 12s;
    animation-delay: 12s; 
}
.bg_slideshow li:nth-child(4) span { 
    background-image: url(images/4.jpg);
    -webkit-animation-delay: 18s;
    -moz-animation-delay: 18s;
    -o-animation-delay: 18s;
    -ms-animation-delay: 18s;
    animation-delay: 18s; 
}
.bg_slideshow li:nth-child(5) span { 
    background-image: url(images/5.jpg);
    -webkit-animation-delay: 24s;
    -moz-animation-delay: 24s;
    -o-animation-delay: 24s;
    -ms-animation-delay: 24s;
    animation-delay: 24s; 
}
.bg_slideshow li:nth-child(6) span { 
    background-image: url(images/6.jpg);
    -webkit-animation-delay: 30s;
    -moz-animation-delay: 30s;
    -o-animation-delay: 30s;
    -ms-animation-delay: 30s;
    animation-delay: 30s; 
}


/* Animation for the slideshow images */
@-webkit-keyframes imageAnimation { 
    0% { opacity: 0;
    -webkit-animation-timing-function: ease-in; }
    8% { opacity: 1;
         -webkit-animation-timing-function: ease-out; }
    17% { opacity: 1 }
    25% { opacity: 0 }
    100% { opacity: 0 }
}
@-moz-keyframes imageAnimation { 
    0% { opacity: 0;
    -moz-animation-timing-function: ease-in; }
    8% { opacity: 1;
         -moz-animation-timing-function: ease-out; }
    17% { opacity: 1 }
    25% { opacity: 0 }
    100% { opacity: 0 }
}
@-o-keyframes imageAnimation { 
    0% { opacity: 0;
    -o-animation-timing-function: ease-in; }
    8% { opacity: 1;
         -o-animation-timing-function: ease-out; }
    17% { opacity: 1 }
    25% { opacity: 0 }
    100% { opacity: 0 }
}
@-ms-keyframes imageAnimation { 
    0% { opacity: 0;
    -ms-animation-timing-function: ease-in; }
    8% { opacity: 1;
         -ms-animation-timing-function: ease-out; }
    17% { opacity: 1 }
    25% { opacity: 0 }
    100% { opacity: 0 }
}
@keyframes imageAnimation { 
    0% { opacity: 0;
    animation-timing-function: ease-in; }
    8% { opacity: 1;
         animation-timing-function: ease-out; }
    17% { opacity: 1 }
    25% { opacity: 0 }
    100% { opacity: 0 }
}

/* Show at least something when animations not supported */
.no-cssanimations .bg_slideshow li span{
	opacity: 1;
}

/* single page */

.bg-single,
.bg-single:after {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    color: transparent;
    background-position: 50% 30%;
    background-repeat: none;
    z-index: 0;
	}

.bg-single:after { 
    content: '';
    background: transparent url(images/pattern.png);
    background-repeat: repeat;
    width: 100%;
}

.bg-one{
	background-image: url(images/1.jpg);
        background-size: cover;
	}

.bg-two{
	background-image: url(images/2.jpg);
        background-size: cover;
	}

.bg-three{
	background-image: url(images/3.jpg);
        background-size: cover;
	}

.bg-four{
	background-image: url(images/4.jpg);
        background-size: cover;
	}

.bg-five{
	background-image: url(images/5.jpg);
        background-size: cover;
	}

.bg-six{
	background-image: url(images/6.jpg);
        background-size: cover;
	}

.fadein {
	animation:myfade 5s;
	-moz-animation:myfade 5s; /* Firefox */
	-webkit-animation:myfade 5s; /* Safari and Chrome */
	-o-animation:myfade 5s; /* Opera */
}

@keyframes myfade
{
from {opacity:0.0;}
to {opacity:1;}
}

@-moz-keyframes myfade /* Firefox */
{
from {opacity:0.0;}
to {opacity:1;}
}
@-webkit-keyframes myfade /* Safari and Chrome */
{
from {opacity:0.0;}
to {opacity:1;}
}
@-o-keyframes myfade /* Opera */
{
from {opacity:0.0;}
to {opacity:1;}
}
